aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorPaul Varner <fuzzyray@gentoo.org>2013-09-10 13:52:28 -0500
committerPaul Varner <fuzzyray@gentoo.org>2013-09-10 13:52:28 -0500
commit87a01450ab33220f6f0821d4f4209004cdc3aa8b (patch)
tree791494a5c783019c42bdae159e1daa0fb0603d89 /bin
parentFix use of REVDEP_REBUILD_DEFAULT_OPTS (Bug 484340). (diff)
downloadgentoolkit-87a01450ab33220f6f0821d4f4209004cdc3aa8b.tar.gz
gentoolkit-87a01450ab33220f6f0821d4f4209004cdc3aa8b.tar.bz2
gentoolkit-87a01450ab33220f6f0821d4f4209004cdc3aa8b.zip
Fix Ctrl-C handling when running emerge (Bug 476740).
Diffstat (limited to 'bin')
-rwxr-xr-xbin/revdep-rebuild.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/revdep-rebuild.sh b/bin/revdep-rebuild.sh
index 6cb5608..09f5135 100755
--- a/bin/revdep-rebuild.sh
+++ b/bin/revdep-rebuild.sh
@@ -1052,6 +1052,7 @@ portage_settings() {
if [[ -n ${REVDEP_REBUILD_DEFAULT_OPTS} ]]; then
EMERGE_DEFAULT_OPTS=("${REVDEP_REBUILD_DEFAULT_OPTS[@]}")
fi
+
}
##
@@ -1138,7 +1139,7 @@ rebuild() {
REBUILD_LIST=$(sort -u "$EBUILDS_FILE")
fi
- trap - SIGHUP SIGINT SIGQUIT SIGABRT SIGTERM
+ trap "kill 0" SIGHUP SIGINT SIGQUIT SIGABRT SIGTERM
[[ $QUIET -ne 1 ]] && einfo 'All prepared. Starting rebuild'
echo "emerge --complete-graph=y --oneshot ${EMERGE_DEFAULT_OPTS[@]} ${EMERGE_OPTIONS[@]} $REBUILD_LIST"